<?php
if(count(get_included_files()) ==1) exit("Direct access not permitted.");
if(!$statuslogin) exit;
$mod = basename(__FILE__, '.php');
$page->tbJs($mod);
if(isset($_GET['id'])){
	$id=strip_tags(stripslashes($_GET['id']));
	$page->setJudul("Input Data Kategori Catatan Baru");
	$nama="";
	
	if($id>0){
		$page->setJudul("Edit Data Kategori Catatan");
		$query="SELECT * FROM tb_master_catatan_kategori 
			WHERE id=?";
		$rs=$db->loadAssoc($query,array($id));
		if(isset($rs['id'])){
			$nama=$rs['nama'];
		}
	}
	$page->addLoad("masterkategorictt.edit($id)");
	?>
	<div class="box_main_konten">
		<h3>DETAIL DATA KATEGORI</h3>
		<div class="group_form">
			<title>Nama Kategori</title>
			<div class="col10"><input id="nama" value="<?php echo $nama;?>" />
				
			</div>
		</div>
		<div style="clear: both;"></div>
	</div>
	<div class="box_button_bawah">
		<div id="loader_level_err" class="error"></div>
		<span class="btmerah btncancel" onclick="masterkategorictt.kembali()">Kembali</span>&nbsp;&nbsp;<span onclick="masterkategorictt.simpan()" class="bthijau btnsave">Simpan</span>
	</div>
	<?php
}else{
	$page->addLoad("masterkategorictt.load()");
	$page->setJudul("Master Kategori Catatan");
	?>
	<div class="box_button_atas">
		Jumlah baris: <select id="jumlah_hal" class="slkecil" onchange="masterkategorictt.loade()">
			<option value="30">30</option>
			<option value="50">50</option>
			<option value="100">100</option>
		</select> &nbsp;
		Hal: <select id="hal_ke" class="slkecil" onchange="masterkategorictt.load()"><option value="1">1</option></select>
		&nbsp;<input placeholder="Default: Nama Kategori" onkeypress="masterkategorictt.enter(event)" id="cari" class="in_cari" />
		&nbsp;&nbsp;<span id="btcari" class="btnone btncari" onclick="masterkategorictt.loade()">Cari</span>
		&nbsp;&nbsp;<span class="btnone btncanggih" onclick="masterkategorictt.caricanggih()">Cari Detail</span>
	</div>
	<div id="grid_masterkategorictt"></div>
	<div id="loader_data_golongan" class="error"></div>
	<div class="box_button_bawah">
		<span onclick="masterkategorictt.buat(0)" class="bthijau btninput">Tambah Data Kategori Catatan Baru</span>
	</div>
	<div id="btedit" style="display:none;">
		<span class="icon_del" onclick="masterkategorictt.hapus(#{id})"></span>
		<span class="icon_edit" onclick="masterkategorictt.buat(#{id})"></span>
	</div>
	<span id="btstatus" style="display: none" class="#(#{status}==1)?'mini_ok':'mini_dis'#" onclick="masterkategorictt.setstatus(#{id},##{jumlah_tabel},##{baris_tabel},this)"></span>
	
	<?php
}
?>
